
/*
 * 授权
 */

import {req} from "../request"

const authPhone = data => req({url: "auth/mini", method: "POST", data: data}) //登录
const authInfo = data => req({url: "auth/mini/info", method: "POST", data: data}) //完善用户信息
const getImgCode = () => req({url: "auth/captcha"})  // 获取图形验证码
const phoneCode = data => req({url: "auth/sms", method: "POST", data: data})  //用户获取短信验证码
const phoneLogin = data => req({url: "auth/mini/mobile", method: "POST", data: data})  //手机号码登录

export default({
    authPhone,
    authInfo,
    getImgCode,
    phoneCode,
    phoneLogin
})
